import React from 'react';
import { Node } from 'prosemirror-model';
import { EditorView } from 'prosemirror-view';
import { YfmHtmlBlockConsts } from '../YfmHtmlBlockSpecs/const';
import { YfmHtmlBlockOptions } from '../index';
export declare const cnYfmHtmlBlock: import("@bem-react/classname").ClassNameFormatter;
export declare const cnHelper: import("@bem-react/classname").ClassNameFormatter;
export declare function generateID(): string;
export declare const YfmHtmlBlockView: React.FC<{
    getPos: () => number | undefined;
    node: Node;
    onChange: (attrs: {
        [YfmHtmlBlockConsts.NodeAttrs.srcdoc]: string;
    }) => void;
    options: YfmHtmlBlockOptions;
    view: EditorView;
}>;
