import type { ExtensionAuto } from '../../core';
import { PlaceholderOptions } from '../../utils/placeholder';
import { ClipboardOptions } from './Clipboard';
import { CommandMenuOptions } from './CommandMenu';
import { CursorOptions } from './Cursor';
import { HistoryOptions } from './History';
import { ReactRenderer } from './ReactRenderer';
import { SelectionContextOptions } from './SelectionContext';
export * from './ClicksOnEdges';
export * from './Clipboard';
export * from './CommandMenu';
export * from './Cursor';
export * from './FilePaste';
export * from './History';
export * from './Placeholder';
export * from './ReactRenderer';
export * from './Selection';
export * from './SelectionContext';
export * from './WidgetDecoration';
export declare type BehaviorPresetOptions = {
    cursor?: CursorOptions;
    history?: HistoryOptions;
    clipboard?: ClipboardOptions;
    placeholder?: PlaceholderOptions;
    reactRenderer: ReactRenderer;
    selectionContext?: SelectionContextOptions;
    commandMenu?: CommandMenuOptions;
};
export declare const BehaviorPreset: ExtensionAuto<BehaviorPresetOptions>;
