"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Emoji = exports.EmojiConsts = void 0;
const EmojiInput_1 = require("./EmojiInput");
const EmojiSpecs_1 = require("./EmojiSpecs");
const EmojiSuggest_1 = require("./EmojiSuggest");
var EmojiSpecs_2 = require("./EmojiSpecs");
Object.defineProperty(exports, "EmojiConsts", { enumerable: true, get: function () { return EmojiSpecs_2.EmojiConsts; } });
const EmojiExtension = (builder, options) => {
    builder.use(EmojiSpecs_1.EmojiSpecs, options);
    builder.use(EmojiInput_1.EmojiInput, options);
    builder.use(EmojiSuggest_1.EmojiSuggest, options);
};
exports.Emoji = Object.assign(EmojiExtension, EmojiSpecs_1.EmojiConsts);
