import type { ParseInsertedUrlAsImage } from '../../../../bundle';
import { ExtensionAuto } from '../../../../core';
import { FileUploadHandler } from '../../../../utils';
import { CreateImageNodeOptions } from '../utils';
export declare type ImagePasteOptions = Pick<CreateImageNodeOptions, 'needDimensions' | 'enableNewImageSizeCalculation'> & {
    imageUploadHandler?: FileUploadHandler;
    /**
     * The function, used to determine if the pasted text is the image url and should be inserted as an image
     */
    parseInsertedUrlAsImage?: ParseInsertedUrlAsImage;
};
export declare const ImagePaste: ExtensionAuto<ImagePasteOptions>;
