import '@diplodoc/cut-extension/runtime';
import type { Action, ExtensionAuto } from '../../../core';
import { YfmCutSpecsOptions } from './YfmCutSpecs';
import '@diplodoc/cut-extension/runtime/styles.css';
declare const cutAction = "toYfmCut";
export { CutNode, cutType, cutTitleType, cutContentType } from './YfmCutSpecs';
export declare type YfmCutOptions = Pick<YfmCutSpecsOptions, 'yfmCutTitlePlaceholder' | 'yfmCutContentPlaceholder'> & {
    yfmCutKey?: string | null;
};
export declare const YfmCut: ExtensionAuto<YfmCutOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [cutAction]: Action;
        }
    }
}
