"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TabPanelAttrs = exports.TabAttrs = exports.TabsListAttrs = exports.TabsAttrs = exports.TabsNode = void 0;
var TabsNode;
(function (TabsNode) {
    // tabs panel is common for tabs and radio tabs
    TabsNode["TabPanel"] = "yfm_tab_panel";
    TabsNode["Tab"] = "yfm_tab";
    TabsNode["TabsList"] = "yfm_tabs_list";
    TabsNode["Tabs"] = "yfm_tabs";
    TabsNode["RadioTabs"] = "yfm_radio_tabs";
    TabsNode["RadioTab"] = "yfm_radio_tab";
    TabsNode["RadioTabInput"] = "yfm_radio_tab_input";
    TabsNode["RadioTabLabel"] = "yfm_radio_tab_label";
})(TabsNode = exports.TabsNode || (exports.TabsNode = {}));
var TabsAttrs;
(function (TabsAttrs) {
    TabsAttrs["class"] = "class";
    TabsAttrs["dataDiplodocGroup"] = "data-diplodoc-group";
    TabsAttrs["dataDiplodocVariant"] = "data-diplodoc-variant";
})(TabsAttrs = exports.TabsAttrs || (exports.TabsAttrs = {}));
var TabsListAttrs;
(function (TabsListAttrs) {
    TabsListAttrs["class"] = "class";
    TabsListAttrs["role"] = "role";
})(TabsListAttrs = exports.TabsListAttrs || (exports.TabsListAttrs = {}));
var TabAttrs;
(function (TabAttrs) {
    TabAttrs["id"] = "id";
    TabAttrs["class"] = "class";
    TabAttrs["role"] = "role";
    TabAttrs["ariaControls"] = "aria-controls";
    TabAttrs["ariaSelected"] = "aria-selected";
    TabAttrs["tabindex"] = "tabindex";
    TabAttrs["dataDiplodocKey"] = "data-diplodoc-key";
    TabAttrs["dataDiplodocid"] = "data-diplodoc-id";
    TabAttrs["dataDiplodocIsActive"] = "data-diplodoc-is-active";
    TabAttrs["dataDiplodocVerticalTab"] = "data-diplodoc-vertical-tab";
})(TabAttrs = exports.TabAttrs || (exports.TabAttrs = {}));
var TabPanelAttrs;
(function (TabPanelAttrs) {
    TabPanelAttrs["id"] = "id";
    TabPanelAttrs["class"] = "class";
    TabPanelAttrs["role"] = "role";
    TabPanelAttrs["dataTitle"] = "data-title";
    TabPanelAttrs["ariaLabelledby"] = "aria-labelledby";
})(TabPanelAttrs = exports.TabPanelAttrs || (exports.TabPanelAttrs = {}));
