"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormRow = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const components_1 = require("@gravity-ui/components");
const classname_1 = require("../../classname");
const b = (0, classname_1.cn)('form-row');
const FormRow = ({ className, label, help, control, controlClassName, }) => {
    return (react_1.default.createElement("div", { className: b(null, [className]) },
        react_1.default.createElement("div", { className: b('label') },
            react_1.default.createElement("span", { className: b('label-text') }, label),
            help && react_1.default.createElement(components_1.HelpPopover, { content: help, className: b('label-help') })),
        react_1.default.createElement("div", { className: b('control', [controlClassName]) }, control)));
};
exports.FormRow = FormRow;
