"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultSpecsPreset = void 0;
const specs_1 = require("../extensions/markdown/specs");
const commonmark_specs_1 = require("./commonmark-specs");
const DefaultSpecsPreset = (builder, opts) => {
    builder.use(commonmark_specs_1.CommonMarkSpecsPreset, opts);
    builder.use(specs_1.StrikeSpecs);
    builder.use(specs_1.TableSpecs);
};
exports.DefaultSpecsPreset = DefaultSpecsPreset;
