import type { Node } from 'prosemirror-model';
import type { Selection } from 'prosemirror-state';
export { headingType } from '../../markdown/Heading/HeadingSpecs';
export declare const insideHeading: ({ $anchor, $head }: Selection) => boolean;
export declare const hasFolding: (sel: Selection) => boolean;
export declare function isHeading(node: Node): boolean;
export declare function isFoldingHeading(node: Node): boolean;
export declare function isFoldedHeading(node: Node): boolean;
export declare function isUnfoldedHeading(node: Node): boolean;
export declare function parseLevel(node: Node): number;
