import { showGptWidget } from '../actions';
import { runGpt } from '../commands';
import { gptHotKeys } from '../constants';
import { gptWidgetPlugin } from '../plugin';
export const gptActionName = 'addGptWidget';
export const gptExtension = (builder, options) => {
    builder.addAction(gptActionName, showGptWidget);
    builder.addPlugin(({ serializer, markupParser }) => {
        return gptWidgetPlugin(Object.assign(Object.assign({}, options), { serializer, parser: markupParser }));
    });
    builder.addKeymap(() => ({
        [gptHotKeys.openGptKey]: runGpt,
    }), builder.Priority.VeryLow);
};
