import { Action, ExtensionAuto } from '../../../core';
import { MermaidAction } from './MermaidSpecs/const';
export declare type MermaidOptions = {
    loadRuntimeScript: () => void;
};
export declare const Mermaid: ExtensionAuto<MermaidOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [MermaidAction]: Action;
        }
    }
    interface Window {
        mermaidJsonp: Function[];
    }
}
