import React from 'react';
import { AutocompletePopupProps } from '../../../utils/autocomplete-popup';
import type { CommandAction } from './types';
import './component.css';
export declare type CommandMenuItem = Pick<CommandAction, 'id' | 'title' | 'icon' | 'hotkey' | 'hint'>;
export declare type CommandMenuComponentProps = AutocompletePopupProps & {
    currentIndex?: number;
    items: readonly CommandMenuItem[];
    onClick(itemIndex: number): void;
};
export declare const CommandMenuComponent: React.FC<CommandMenuComponentProps>;
export declare function render(props: CommandMenuComponentProps): React.ReactNode;
