import type { Action, ExtensionAuto } from '../../../core';
import { AddImageAttrs } from './actions';
import { addImageAction } from './const';
import { ImageUrlPasteOptions } from './imageUrlPaste';
export { imageNodeName, imageType, ImageAttr } from './ImageSpecs';
/** @deprecated Use `imageType` instead */
export declare const imgType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
export type { AddImageAttrs } from './actions';
export declare type ImageOptions = ImageUrlPasteOptions;
export declare const Image: ExtensionAuto<ImageOptions | undefined>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [addImageAction]: Action<AddImageAttrs>;
        }
    }
}
