import type { NodeSpec } from 'prosemirror-model';
import type { ExtensionAuto, ExtensionNodeSpec } from '../../../../core';
export { CheckboxNode } from './const';
export declare const checkboxType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
export declare const checkboxLabelType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
export declare const checkboxInputType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
export declare type CheckboxSpecsOptions = {
    /**
     * @deprecated: use placeholder option in BehaviorPreset instead.
     */
    checkboxLabelPlaceholder?: NonNullable<NodeSpec['placeholder']>['content'];
    inputView?: ExtensionNodeSpec['view'];
    labelView?: ExtensionNodeSpec['view'];
    checkboxView?: ExtensionNodeSpec['view'];
};
export declare const CheckboxSpecs: ExtensionAuto<CheckboxSpecsOptions>;
