import type { NodeSpec } from 'prosemirror-model';
import type { ExtensionAuto, ExtensionNodeSpec } from '../../../../core';
export { CutNode, cutType, cutTitleType, cutContentType } from './const';
export declare type YfmCutSpecsOptions = {
    cutView?: ExtensionNodeSpec['view'];
    cutTitleView?: ExtensionNodeSpec['view'];
    cutContentView?: ExtensionNodeSpec['view'];
    /**
     * @deprecated: use placeholder option in BehaviorPreset instead.
     */
    yfmCutTitlePlaceholder?: NonNullable<NodeSpec['placeholder']>['content'];
    /**
     * @deprecated: use placeholder option in BehaviorPreset instead.
     */
    yfmCutContentPlaceholder?: NonNullable<NodeSpec['placeholder']>['content'];
};
export declare const YfmCutSpecs: ExtensionAuto<YfmCutSpecsOptions>;
