import { YfmTableAttr, YfmTableNode } from './const';
export const parserTokens = {
    [YfmTableNode.Table]: { name: YfmTableNode.Table, type: 'block' },
    [YfmTableNode.Body]: { name: YfmTableNode.Body, type: 'block' },
    [YfmTableNode.Row]: { name: YfmTableNode.Row, type: 'block' },
    [YfmTableNode.Cell]: {
        name: YfmTableNode.Cell,
        type: 'block',
        getAttrs: (token) => {
            var _a, _b;
            const attrs = Object.fromEntries(token.attrs || []);
            const align = (_b = (_a = token.attrGet('class')) === null || _a === void 0 ? void 0 : _a.match(/cell-align-[a-z-]*/)) === null || _b === void 0 ? void 0 : _b[0];
            if (align)
                attrs[YfmTableAttr.CellAlign] = align;
            return attrs;
        },
    },
};
