/// <reference types="react" />
import { ToolbarGroupData } from './ToolbarGroup';
import { ToolbarBaseProps } from './types';
import './Toolbar.css';
export declare type ToolbarData<E> = ToolbarGroupData<E>[];
export declare type ToolbarProps<E> = ToolbarBaseProps<E> & {
    data: ToolbarData<E>;
};
export declare function Toolbar<E>({ editor, data, className, focus, onClick }: ToolbarProps<E>): JSX.Element;
