"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mGptToolbarItem = void 0;
const extension_1 = require("../../../../i18n/gpt/extension");
const icons_1 = require("../../../../icons");
const toolbar_1 = require("../../../../toolbar");
const constants_1 = require("../constants");
const commands_1 = require("./commands");
exports.mGptToolbarItem = {
    id: 'gpt',
    type: toolbar_1.ToolbarDataType.SingleButton,
    hotkey: constants_1.gptHotKeys.openGptKeyTooltip,
    title: () => `${(0, extension_1.i18n)('help-with-text')}`,
    icon: { data: icons_1.GPTIcon },
    exec: (e) => (0, commands_1.showMarkupGpt)(e.cm),
    isActive: () => false,
    isEnable: () => true,
};
