import type { MarkType } from 'prosemirror-model';
import type { ActionSpec, ExtensionDeps } from '../../../../core';
export declare type LinkActionParams = {
    href: string;
    title?: string;
    text?: string;
};
export declare type LinkActionMeta = {
    hasSelection: boolean;
    text(): string;
};
export declare function linkCommand(markType: MarkType, deps: ExtensionDeps): ActionSpec;
