"use strict";
var _ImageSkeletonDescriptor_domElem;
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImageSkeletonDescriptor = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const uikit_1 = require("@gravity-ui/uikit");
const classname_1 = require("../../../../classname");
const WidgetDecoration_1 = require("../../../behavior/WidgetDecoration");
const b = (0, classname_1.cn)('image-skeleton');
class ImageSkeletonDescriptor extends WidgetDecoration_1.ReactWidgetDescriptor {
    constructor(initPos, size) {
        super(initPos, 'image_skeleton');
        _ImageSkeletonDescriptor_domElem.set(this, void 0);
        tslib_1.__classPrivateFieldSet(this, _ImageSkeletonDescriptor_domElem, document.createElement('span'), "f");
        tslib_1.__classPrivateFieldGet(this, _ImageSkeletonDescriptor_domElem, "f").classList.add(b());
        if (size) {
            tslib_1.__classPrivateFieldGet(this, _ImageSkeletonDescriptor_domElem, "f").style.setProperty('--img-skeleton-width', size.width);
            tslib_1.__classPrivateFieldGet(this, _ImageSkeletonDescriptor_domElem, "f").style.setProperty('--img-skeleton-height', size.height);
        }
    }
    get pos() {
        var _a, _b;
        return (_b = (_a = this.getPos) === null || _a === void 0 ? void 0 : _a.call(this)) !== null && _b !== void 0 ? _b : this.initPos;
    }
    getDomElem() {
        return tslib_1.__classPrivateFieldGet(this, _ImageSkeletonDescriptor_domElem, "f");
    }
    renderReactElement() {
        return react_1.default.createElement(uikit_1.Skeleton, { className: b('skeleton') });
    }
}
exports.ImageSkeletonDescriptor = ImageSkeletonDescriptor;
_ImageSkeletonDescriptor_domElem = new WeakMap();
