import type { Action, ExtensionAuto } from '../../../../core';
import { FileUploadHandler } from '../../../../utils/upload';
import type { ImageWidgetDescriptorOpts } from './widget';
declare const addImageWidgetAction = "addImageWidget";
export declare type ImageWidgetOptions = Pick<ImageWidgetDescriptorOpts, 'needToSetDimensionsForUploadedImages'> & {
    imageUploadHandler?: FileUploadHandler;
};
export declare const ImageWidget: ExtensionAuto<ImageWidgetOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [addImageWidgetAction]: Action;
        }
    }
}
export {};
