"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.YfmConfigs = void 0;
require("@diplodoc/transform/dist/js/base");
require("@diplodoc/transform/dist/js/_yfm-only"); // eslint-disable-line import/order
const prosemirror_state_1 = require("prosemirror-state");
const YfmConfigsSpecs_1 = require("./YfmConfigsSpecs");
require("@diplodoc/transform/dist/css/base.css");
require("@diplodoc/transform/dist/css/_yfm-only.css"); // eslint-disable-line import/order
const YfmConfigs = (builder, opts) => {
    // apply md-it-attrs plugin and ignore yfm lint token
    builder.use(YfmConfigsSpecs_1.YfmConfigsSpecs, opts);
    builder.addPlugin(() => new prosemirror_state_1.Plugin({
        props: {
            attributes: {
                class: 'yfm yfm_no-list-reset yfm-editor',
            },
        },
    }));
};
exports.YfmConfigs = YfmConfigs;
