"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getProportionalSize = void 0;
function getProportionalSize({ width: _width, height: _height, imgMaxHeight, }) {
    let width = _width;
    let height = _height;
    const ratio = width / height;
    if (height > imgMaxHeight) {
        height = imgMaxHeight;
        width = Math.round(height * ratio);
    }
    return { width, height };
}
exports.getProportionalSize = getProportionalSize;
