"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.YfmStaticView = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const classnames_1 = require("@bem-react/classnames");
exports.YfmStaticView = (0, react_1.forwardRef)(function YFMStaticView(props, ref) {
    const { html, linksVisited, noListReset, className, qa } = props;
    return (react_1.default.createElement("div", { ref: ref, dangerouslySetInnerHTML: { __html: html }, className: (0, classnames_1.classnames)('yfm', linksVisited ? 'yfm_links-visited' : undefined, noListReset ? 'yfm_no-list-reset' : undefined, className), "data-qa": qa }));
});
