import React, { RefObject } from 'react';
import { ImageFormProps } from '../../../forms/ImageForm';
import type { ToolbarBaseProps } from '../../../toolbar';
import { BatchUploadResult, FileUploadHandler } from '../../../utils/upload';
export declare type ToolbarImagePopuProps = Omit<ToolbarBaseProps<never>, 'editor'> & {
    uploadImages?: FileUploadHandler;
    onSuccessUpload?: (res: BatchUploadResult) => void;
    hide: () => void;
    anchorRef: RefObject<HTMLElement>;
} & Pick<ImageFormProps, 'onSubmit'>;
export declare const ToolbarImagePopup: React.FC<ToolbarImagePopuProps>;
