import { CommonAnswer } from '../ErrorScreen/types';
import type { GptDialogProps } from '../GptDialog/GptDialog';
import './Presetlist.css';
export declare type PresetListProps<AnswerData extends CommonAnswer = CommonAnswer, PromptData extends unknown = unknown> = {
    disablePromptPresets: GptDialogProps<AnswerData, PromptData>['disablePromptPresets'];
    promptPresets: GptDialogProps<AnswerData, PromptData>['promptPresets'];
    onPresetClick: (data?: PromptData) => void;
};
export declare const cnGptDialogPresetList: import("@bem-react/classname").ClassNameFormatter;
export declare const PresetList: <AnswerData extends CommonAnswer = CommonAnswer, PromptData extends unknown = unknown>({ disablePromptPresets, promptPresets, onPresetClick, }: PresetListProps<AnswerData, PromptData>) => JSX.Element;
