import { __rest } from "tslib";
import { WYfmHtmlBlockNodeView } from './YfmHtmlBlockNodeView';
import { YfmHtmlBlockSpecs } from './YfmHtmlBlockSpecs';
import { YfmHtmlBlockAction } from './YfmHtmlBlockSpecs/const';
import { addYfmHtmlBlock } from './actions';
export const YfmHtmlBlock = (builder, _a) => {
    var { useConfig: _ } = _a, options = __rest(_a, ["useConfig"]);
    builder.use(YfmHtmlBlockSpecs, Object.assign({ nodeView: YfmHtmlBlockNodeViewFactory(options) }, options));
    builder.addAction(YfmHtmlBlockAction, () => addYfmHtmlBlock);
};
const YfmHtmlBlockNodeViewFactory = (options) => () => (node, view, getPos) => {
    return new WYfmHtmlBlockNodeView({ node, view, getPos, options });
};
