import type { NodeSpec } from 'prosemirror-model';
import type { ExtensionAuto } from '../../../../core';
export declare enum BaseNode {
    Doc = "doc",
    Text = "text",
    Paragraph = "paragraph"
}
export declare const pType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
export declare type BaseSchemaSpecsOptions = {
    paragraphPlaceholder?: NonNullable<NodeSpec['placeholder']>['content'];
};
export declare const BaseSchemaSpecs: ExtensionAuto<BaseSchemaSpecsOptions>;
