import React from 'react';
import { cn } from '../../../classname';
import './Resizable.css';
const b = cn('resizable');
const Resizer = ({ onMouseDown, direction }) => (React.createElement("div", { className: b('resizer-wrapper', { [direction]: true }), role: "button", tabIndex: 0, onMouseDown: onMouseDown },
    React.createElement("div", { className: b('resizer') })));
export const Resizable = ({ hover, resizing, children, onResizeLeft, onResizeRight, }) => (React.createElement("div", { className: b({ hover, resizing }) },
    children,
    React.createElement(Resizer, { onMouseDown: onResizeLeft, direction: "left" }),
    React.createElement(Resizer, { onMouseDown: onResizeRight, direction: "right" })));
