export var ListNode;
(function (ListNode) {
    ListNode["ListItem"] = "list_item";
    ListNode["BulletList"] = "bullet_list";
    ListNode["OrderedList"] = "ordered_list";
})(ListNode || (ListNode = {}));
export var ListsAttr;
(function (ListsAttr) {
    ListsAttr["Tight"] = "tight";
    /** @deprecated Use `ListsAttr.Markup` instead */
    ListsAttr["Bullet"] = "bullet";
    /** used in ordered list only */
    ListsAttr["Order"] = "order";
    ListsAttr["Markup"] = "markup";
})(ListsAttr || (ListsAttr = {}));
export const Markup = {
    bullet: {
        values: ['-', '+', '*'],
        default: '*',
    },
    ordered: {
        values: ['.', ')'],
        default: '.',
    },
};
