export declare const i18n: <G extends "block" | "heading" | "checkbox" | "doc_empty" | "codeblock" | "deflist_term" | "deflist_desc" | "cut_title" | "cut_content" | "note_title" | "note_content" | "layout_cell" | "table_cell" | "select_filter", S extends string>(key: G | (string extends S ? S : never), params?: {
    [key: string]: any;
} | undefined) => S extends G ? {
    doc_empty: string;
    checkbox: string;
    codeblock: string;
    deflist_term: string;
    deflist_desc: string;
    heading: string;
    cut_title: string;
    cut_content: string;
    note_title: string;
    note_content: string;
    block: string;
    layout_cell: string;
    table_cell: string;
    select_filter: string;
}[G] : string;
