import type { Extension, ExtensionAuto } from '../core';
import { BreaksSpecsOptions, CodeBlockSpecsOptions, HeadingSpecsOptions } from '../extensions/markdown/specs';
import { ZeroPresetOptions } from './zero';
export declare type CommonMarkSpecsPresetOptions = ZeroPresetOptions & {
    image?: false | Extension;
    breaks?: BreaksSpecsOptions;
    codeBlock?: CodeBlockSpecsOptions;
    heading?: false | Extension | HeadingSpecsOptions;
};
export declare const CommonMarkSpecsPreset: ExtensionAuto<CommonMarkSpecsPresetOptions>;
